%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define release 1mdk

%define realname Recode
%define modname recode
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 10_%{modname}.ini
%define mod_src %{modname}.c

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}
Release:	%{release}
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
Requires:	php%{libversion}
BuildRequires:  php%{libversion}-devel
BuildRequires:	recode-devel >= 3.6-6mdk
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%build
[ -e ./%{dirname} ] && rm -fr ./%{dirname}
cp -dpR %{phpsource}/extensions/%{dirname} .
cd %{dirname}

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
cd %{dirname}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_docdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_docdir}/README <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ -e ./%{dirname} ] && rm -fr ./%{dirname}

%files 
%defattr(-,root,root)
%doc %{_docdir}/README
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-4mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-3mdk
- build against new fixed shared recode library

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use "no -recheck hack"

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- fix url
- built for php 4.3.6

* Tue Nov 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.3.4-2mdk
- builrequires flex

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- rebuilt against php-4.3.1

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-1mdk
- built against php-4.3.0
- follow the spec file design as in main

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.3-4mdk
- small fix to build _without_ recode-devel installed ;)

* Fri Sep 20 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-3mdk
- Really use -Wl,./src/.libs/librecode.a this time ;-)

* Wed Sep 17 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-2mdk
- Use -Wl,./src/.libs/librecode.a so we *don't* pick the dynamic
  librecode.so if present. 

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Tue Aug 27 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-2mdk
- rebuild with its own recode-3.6 library, since some symbols clash with
  libmysqlclient and libc-client, resulting in segfaults with php-mysql,
  php-imap and apache2-mod_mysql. The culprit symbols are:
  hash_lookup() and hash_insert(), add recode_ prefix to them.
- See PHP bug 12450 at http://bugs.php.net/bug.php?id=12450

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- rebuilt against php-4.2.1 this time (klama is wierd...)
- added Requires: php-common

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-2mdk
- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-3mdk
- rebuilt with gcc3.1
- revoke the Conflicts: mysql; just make sure this extension is loaded
  before mysql and imap, maybe even as the first one loaded?

* Mon May  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-2mdk
- the php extensions "mysql" and "recode" can't be used at the same time
  because of conflicting symbol names.

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- PHP 4.2.0
	- added missing BuildRequires: recode-devel recode-static-devel
- Alexander Skwar <ASkwar@DigitalProjects.com> also worked on it:
	- First release of the php-recode package
